Page MenuHomePhabricator

Anonymous only global block prevents account creation
Closed, DuplicatePublic

Description

Just tested with a temporary anonymous only global block (see URL for log entry), trying to create account on Commons and it.wiki:

You do not have permission to create this user account, for the following reason:
Your IP address has been blocked on all wikis.
The block was made by Vituzzu (meta.wikimedia.org). The reason given is test.
Start of block: 18:26, 12 September 2012
Expiry of block: 18:41, 12 September 2012

This is counter-intuitive, we currently have an Ukraine IP range globally blocked because of many spambots and this prevented account creation from wannabe Wiki Loves Monuments participants, with little clue about everyone involved about the reasons.

Bug 15273 suggests a solution but the behaviour might just be changed/fixed.


Version: master
Severity: normal
URL: https://meta.wikimedia.org/w/index.php?title=Special:Log&dir=prev&offset=20120912145158&limit=1&type=gblblock&user=Vituzzu

Details

Reference
bz40190

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:49 AM
bzimport added a project: GlobalBlocking.
bzimport set Reference to bz40190.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Sep 12 2012, 6:37 PM

I think it's better to perform [[bug:15273]] - the automatic settings shouldn't be changed; we should get the opportunity to change the block options better.

Pardon. I meant bug 15273 of course.

I added bug 15273 to [[mw:Admin_tools_development]]. We'll prioritize it with the other projects, and hopefully get this resolved soon.

Can we close this bug as a duplicate of 15273?

I think Nemo_bis meant another solution, but imo adding the separate block options is better. So yes, you can close this bug as a duplicate of 15273.

(In reply to comment #3)

I added bug 15273 to [[mw:Admin_tools_development]]. We'll prioritize it with
the other projects, and hopefully get this resolved soon.

Thank you!

Can we close this bug as a duplicate of 15273?

Yes. We can always reopen it if that way happened to be not viable for some reason.

  • This bug has been marked as a duplicate of bug 15273 ***